Description: autotools: update
 Correct a bug in configure.ac that originated from autoconf-archive material.
 Meant to be submitted to the upstream maintainer.
Origin: vendor, Debian
Forwarded: https://git.skewed.de/count0/graph-tool/-/merge_requests/66
Comment: autoconf-archive material: update
Author: Jerome Benoit <calculus@rezozer.net>
Last-Update: 2021-07-23

--- a/configure.ac
+++ b/configure.ac
@@ -167,7 +167,7 @@
    AC_MSG_ERROR([No usable boost::thread found])
 fi
 
-[BOOST_LIBS="${BOOST_LDFLAGS} ${BOOST_IOSTREAMS_LIB} -l${BOOST_PYTHON_LIB} ${BOOST_REGEX_LIB} ${BOOST_CONTEXT_LIB} ${BOOST_COROUTINE_LIB} ${BOOST_THREAD_LIB}"]
+[BOOST_LIBS="${BOOST_LDFLAGS} ${BOOST_IOSTREAMS_LIB} ${BOOST_PYTHON_LIB} ${BOOST_REGEX_LIB} ${BOOST_CONTEXT_LIB} ${BOOST_COROUTINE_LIB} ${BOOST_THREAD_LIB}"]
 
 dnl GNU MP library (needed by CGAL)
 AC_CHECK_LIB(gmp, __gmpz_init, ,
@@ -375,7 +375,7 @@
 AC_DEFINE([BOOST_BIND_GLOBAL_PLACEHOLDERS], [1], [Suppress Boost warning])
 
 AX_CREATE_PKGCONFIG_INFO([graph-tool-py${PYTHON_VERSION}.pc], [],
-                         [${PYTHON_LIBS} -l${BOOST_PYTHON_LIB}],
+                         [${PYTHON_LIBS} ${BOOST_PYTHON_LIB}],
                          [graph-tool Python library],
                          [-I${MOD_DIR}/include -I${MOD_DIR}/include/boost-workaround -I${MOD_DIR}/include/pcg-cpp ${PYTHON_CPPFLAGS} ${BOOST_CPPFLAGS} ${SPARSEHASH_CFLAGS} ${NUMPY_CPPFLAGS}],
                          [])
